MetricSessionEJB (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.server.session.MetricSessionEJB class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.server.session
Class MetricSessionEJB

    java.lang.Object
      org.hyperic.hq.bizapp.server.session.BizappSessionEJB
          org.hyperic.hq.bizapp.server.session.MetricSessionEJB

Direct Known Subclasses:
  MeasurementBossEJBImpl

    public class MetricSessionEJB

extends BizappSessionEJB

Field Summary
`protected SessionManager` | `manager`

Fields inherited from class org.hyperic.hq.bizapp.server.session.BizappSessionEJB
`ctx`

Constructor Summary
`MetricSessionEJB()`

Method Summary
`protected java.util.Map` | `findAGMetricsByType(int sessionId, AppdefEntityID[] entIds, AppdefEntityTypeID typeId, long filters, java.lang.String keyword, long begin, long end, boolean showAll)`
`protected java.util.Map` | `findAGPlatformMetricsByType(int sessionId, AppdefEntityTypeID platTypeId, long begin, long end, boolean showAll)`
`protected java.util.List` | `findAllMetrics(int sessionId, AppdefEntityID[] aeids, long begin, long end)`
`protected java.util.List` | `findAllMetrics(int sessionId, AppdefEntityID aeid, AppdefEntityTypeID ctype, long begin, long end)`
`protected java.util.List` | `findAllMetrics(int sessionId, AppdefEntityID aeid, long begin, long end)`
`protected Measurement` | `findAvailabilityMetric(AuthzSubject subject, AppdefEntityID id)`
`protected java.util.Map` | `findMetrics(int sessionId, AppdefEntityID[] entIds, long filters, java.lang.String keyword, long begin, long end, boolean showNoCollect)`
`protected java.util.Map` | `findMetrics(int sessionId, AppdefEntityID entId, java.util.List mtids, long begin, long end)`
`protected java.util.Map` | `findMetrics(int sessionId, AppdefEntityID entId, long begin, long end, PageControl pc)`
`protected AppdefEntityID[]` | `getAeids(java.util.Collection resources)`
`protected double` | `getAggregateAvailability(AuthzSubject subject, AppdefEntityID[] ids, java.util.Map measCache, java.util.Map availCache)`
`protected java.util.List` | `getAGMemberIds(AuthzSubject subject, AppdefEntityID[] aids, AppdefEntityTypeID ctype)`
`protected java.util.List` | `getAGMemberIds(AuthzSubject subject, AppdefEntityID parentAid, AppdefEntityTypeID ctype)`
`protected double[]` | `getAvailability(AuthzSubject subject, AppdefEntityID[] ids)`
`protected double[]` | `getAvailability(AuthzSubject subject, AppdefEntityID[] ids, java.util.Map midMap, java.util.Map availCache)`
`protected double` | `getGroupAvailability(AuthzSubject subject, java.lang.Integer gid, java.util.Map measCache, java.util.Map availCache)` Given a group, disqualifies their aggregate availability (with the disqualifying status) for all of them if any are down or unknown, otherwise the aggregate is deemed available If there's nothing in the array, then aggregate is not populated.
`protected AppdefEntityID[]` | `getGroupMemberIDs(AuthzSubject subject, java.lang.Integer gid)`
`protected MetricDisplaySummary` | `getMetricDisplaySummary(MeasurementTemplate tmpl, java.lang.Long interval, long begin, long end, double[] data, int totalConfigured)`
`protected java.util.Map` | `getMidMap(AppdefEntityID[] ids, java.util.Map measCache)`
`protected java.util.List` | `getPlatformAG(AuthzSubject subject, AppdefEntityTypeID ctype)`
`protected java.util.List` | `getResourceIds(AuthzSubject subject, AppdefEntityID aeid, AppdefEntityTypeID ctype)` Get a List of AppdefEntityIDs for the given resource.
`protected java.util.Map` | `getResourceMetrics(AuthzSubject subject, java.util.List resources, java.util.List tmpls, long begin, long end, java.lang.Boolean showNoCollect)` Fetch the metric summaries for specified resources and templates
`protected java.util.Map` | `getResourceMetrics(AuthzSubject subject, java.util.List resources, java.lang.String resourceType, long filters, java.lang.String keyword, long begin, long end, boolean showNoCollect)` Fetch all metric summaries for specified resources
`protected AppdefEntityID[]` | `toAppdefEntityIDArray(java.util.List entities)`

Methods inherited from class org.hyperic.hq.bizapp.server.session.BizappSessionEJB
`getAgentManager, getAIBoss, getAIManager, getAppdefBoss, getAppdefStatManager, getApplicationManager, getAuthManager, getAuthzBoss, getAuthzSubjectManager, getAutoInventoryManager, getAvailManager, getConfigManager, getControlBoss, getControlManager, getControlScheduleManager, getCPropManager, getDataMan, getEventsBoss, getMeasurementBoss, getMetricManager, getOverlord, getPlatformManager, getProductBoss, getProductManager, getReportProcessor, getResourceGroupManager, getResourceManager, getServerConfigManager, getServerManager, getServiceManager, getSessionContext, getSrnManager, getTemplateManager, getTrackerManager, rollback, setSessionContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### manager

    protected SessionManager manager

Constructor Detail

### MetricSessionEJB

    public MetricSessionEJB()

Method Detail

### getResourceMetrics

    protected java.util.Map getResourceMetrics(AuthzSubject subject,
                                               java.util.List resources,
                                               java.util.List tmpls,
                                               long begin,
                                               long end,
                                               java.lang.Boolean showNoCollect)
                                        throws AppdefCompatException

  Fetch the metric summaries for specified resources and templates

  Parameters:
    `resources` - the list of resources
    `tmpls` - the list of measurement templates
    `begin` - the beginning of time range
    `end` - the end of time range
    `showNoCollect` - whether or not to include templates that have not collected data
  Returns:
    Map where key = category, value = List of summary beans
  Throws:
    `AppdefCompatException`

### getResourceMetrics

    protected java.util.Map getResourceMetrics(AuthzSubject subject,
                                               java.util.List resources,
                                               java.lang.String resourceType,
                                               long filters,
                                               java.lang.String keyword,
                                               long begin,
                                               long end,
                                               boolean showNoCollect)
                                        throws AppdefCompatException

  Fetch all metric summaries for specified resources

  Parameters:
    `resources` - the list of resources
    `begin` - the beginning of time range
    `end` - the end of time range
    `showNoCollect` - TODO
  Returns:
    Map where key = category, value = List of summary beans
  Throws:
    `AppdefCompatException`

### getMetricDisplaySummary

    protected MetricDisplaySummary getMetricDisplaySummary(MeasurementTemplate tmpl,
                                                           java.lang.Long interval,
                                                           long begin,
                                                           long end,
                                                           double[] data,
                                                           int totalConfigured)

### getAGMemberIds

    protected java.util.List getAGMemberIds(AuthzSubject subject,
                                            AppdefEntityID parentAid,
                                            AppdefEntityTypeID ctype)
                                     throws AppdefEntityNotFoundException,
                                            PermissionException

  Throws:
    `AppdefEntityNotFoundException`
    `PermissionException`

### getAGMemberIds

    protected java.util.List getAGMemberIds(AuthzSubject subject,
                                            AppdefEntityID[] aids,
                                            AppdefEntityTypeID ctype)
                                     throws AppdefEntityNotFoundException,
                                            PermissionException

  Throws:
    `AppdefEntityNotFoundException`
    `PermissionException`

### getAvailability

    protected double[] getAvailability(AuthzSubject subject,
                                       AppdefEntityID[] ids)
                                throws AppdefEntityNotFoundException,
                                       PermissionException

  Throws:
    `AppdefEntityNotFoundException`
    `PermissionException`

### getAvailability

    protected double[] getAvailability(AuthzSubject subject,
                                       AppdefEntityID[] ids,
                                       java.util.Map midMap,
                                       java.util.Map availCache)
                                throws ApplicationNotFoundException,
                                       AppdefEntityNotFoundException,
                                       PermissionException

  Parameters:
    `midMap` - `Map` of `Integer` to `Measurement` Integer = Resource.getId()
    `availCache` - `Map` of `Integer` to `MetricValue` Integer = Measurement.getId()
  Throws:
    `ApplicationNotFoundException`
    `AppdefEntityNotFoundException`
    `PermissionException`

### findAvailabilityMetric

    protected Measurement findAvailabilityMetric(AuthzSubject subject,
                                                 AppdefEntityID id)

### toAppdefEntityIDArray

    protected AppdefEntityID[] toAppdefEntityIDArray(java.util.List entities)

### getAggregateAvailability

    protected double getAggregateAvailability(AuthzSubject subject,
                                              AppdefEntityID[] ids,
                                              java.util.Map measCache,
                                              java.util.Map availCache)
                                       throws AppdefEntityNotFoundException,
                                              PermissionException

  Parameters:
    `availCache` - `Map` of `Integer` to `MetricValue` Integer => Measurement.getId(), may be null. Given an array of AppdefEntityID's, disqulifies their aggregate availability (with the disqualifying status) for all of them if any are down or unknown, otherwise the aggregate is deemed available If there's nothing in the array, then aggregate is not populated. Ergo, the availability shall be disqualified as unknown i.e. the (?) representation
  Throws:
    `AppdefEntityNotFoundException`
    `PermissionException`

### getAeids

    protected final AppdefEntityID[] getAeids(java.util.Collection resources)

### getMidMap

    protected final java.util.Map getMidMap(AppdefEntityID[] ids,
                                            java.util.Map measCache)

  Parameters:
    `measCache` - `Map` of `Integer` of Resource.getId() to `List` of `Measurement`
  Returns:
    `Map` of `Integer` to `Measurement` Integer = Resource.getId()

### getGroupAvailability

    protected double getGroupAvailability(AuthzSubject subject,
                                          java.lang.Integer gid,
                                          java.util.Map measCache,
                                          java.util.Map availCache)
                                   throws AppdefEntityNotFoundException,
                                          PermissionException

  Given a group, disqualifies their aggregate availability (with the disqualifying status) for all of them if any are down or unknown, otherwise the aggregate is deemed available If there's nothing in the array, then aggregate is not populated. Ergo, the availability shall be disqualified as unknown i.e. the (?) representation

  Parameters:
    `measCache` - `Map` of `Resource.getId` to `List` of `Measurement`. May be null.
    `availCache` - `Map` of `Measurement.getId` to `MetricValue`. May be null.
  Throws:
    `AppdefEntityNotFoundException`
    `PermissionException`

### findMetrics

    protected java.util.Map findMetrics(int sessionId,
                                        AppdefEntityID entId,
                                        long begin,
                                        long end,
                                        PageControl pc)
                                 throws SessionTimeoutException,
                                        SessionNotFoundException,
                                        InvalidAppdefTypeException,
                                        PermissionException,
                                        AppdefEntityNotFoundException,
                                        AppdefCompatException

  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `InvalidAppdefTypeException`
    `PermissionException`
    `AppdefEntityNotFoundException`
    `AppdefCompatException`

### findMetrics

    protected java.util.Map findMetrics(int sessionId,
                                        AppdefEntityID[] entIds,
                                        long filters,
                                        java.lang.String keyword,
                                        long begin,
                                        long end,
                                        boolean showNoCollect)
                                 throws SessionTimeoutException,
                                        SessionNotFoundException,
                                        InvalidAppdefTypeException,
                                        PermissionException,
                                        AppdefEntityNotFoundException,
                                        AppdefCompatException

  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `InvalidAppdefTypeException`
    `PermissionException`
    `AppdefEntityNotFoundException`
    `AppdefCompatException`

### findMetrics

    protected java.util.Map findMetrics(int sessionId,
                                        AppdefEntityID entId,
                                        java.util.List mtids,
                                        long begin,
                                        long end)
                                 throws SessionTimeoutException,
                                        SessionNotFoundException,
                                        PermissionException,
                                        AppdefEntityNotFoundException,
                                        AppdefCompatException

  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `PermissionException`
    `AppdefEntityNotFoundException`
    `AppdefCompatException`

### findAllMetrics

    protected java.util.List findAllMetrics(int sessionId,
                                            AppdefEntityID aeid,
                                            AppdefEntityTypeID ctype,
                                            long begin,
                                            long end)
                                     throws SessionTimeoutException,
                                            SessionNotFoundException,
                                            AppdefEntityNotFoundException,
                                            PermissionException,
                                            AppdefCompatException,
                                            InvalidAppdefTypeException

  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `AppdefEntityNotFoundException`
    `PermissionException`
    `AppdefCompatException`
    `InvalidAppdefTypeException`

### findAllMetrics

    protected java.util.List findAllMetrics(int sessionId,
                                            AppdefEntityID[] aeids,
                                            long begin,
                                            long end)
                                     throws SessionTimeoutException,
                                            SessionNotFoundException,
                                            AppdefEntityNotFoundException,
                                            PermissionException,
                                            AppdefCompatException,
                                            InvalidAppdefTypeException

  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `AppdefEntityNotFoundException`
    `PermissionException`
    `AppdefCompatException`
    `InvalidAppdefTypeException`

### findAllMetrics

    protected java.util.List findAllMetrics(int sessionId,
                                            AppdefEntityID aeid,
                                            long begin,
                                            long end)
                                     throws SessionTimeoutException,
                                            SessionNotFoundException,
                                            AppdefEntityNotFoundException,
                                            PermissionException,
                                            AppdefCompatException,
                                            InvalidAppdefTypeException

  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `AppdefEntityNotFoundException`
    `PermissionException`
    `AppdefCompatException`
    `InvalidAppdefTypeException`

### getPlatformAG

    protected java.util.List getPlatformAG(AuthzSubject subject,
                                           AppdefEntityTypeID ctype)
                                    throws AppdefEntityNotFoundException,
                                           PermissionException

  Throws:
    `AppdefEntityNotFoundException`
    `PermissionException`

### findAGPlatformMetricsByType

    protected java.util.Map findAGPlatformMetricsByType(int sessionId,
                                                        AppdefEntityTypeID platTypeId,
                                                        long begin,
                                                        long end,
                                                        boolean showAll)
                                                 throws SessionTimeoutException,
                                                        SessionNotFoundException,
                                                        InvalidAppdefTypeException,
                                                        AppdefEntityNotFoundException,
                                                        PermissionException,
                                                        AppdefCompatException

  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `InvalidAppdefTypeException`
    `AppdefEntityNotFoundException`
    `PermissionException`
    `AppdefCompatException`

### findAGMetricsByType

    protected java.util.Map findAGMetricsByType(int sessionId,
                                                AppdefEntityID[] entIds,
                                                AppdefEntityTypeID typeId,
                                                long filters,
                                                java.lang.String keyword,
                                                long begin,
                                                long end,
                                                boolean showAll)
                                         throws SessionTimeoutException,
                                                SessionNotFoundException,
                                                InvalidAppdefTypeException,
                                                PermissionException,
                                                AppdefEntityNotFoundException,
                                                AppdefCompatException

  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `InvalidAppdefTypeException`
    `PermissionException`
    `AppdefEntityNotFoundException`
    `AppdefCompatException`

### getGroupMemberIDs

    protected AppdefEntityID[] getGroupMemberIDs(AuthzSubject subject,
                                                 java.lang.Integer gid)
                                          throws AppdefEntityNotFoundException,
                                                 PermissionException

  Throws:
    `AppdefEntityNotFoundException`
    `PermissionException`

### getResourceIds

    protected java.util.List getResourceIds(AuthzSubject subject,
                                            AppdefEntityID aeid,
                                            AppdefEntityTypeID ctype)
                                     throws AppdefEntityNotFoundException,
                                            PermissionException

  Get a List of AppdefEntityIDs for the given resource.

  Parameters:
    `subject` - The user to use for searches.
    `aeid` - The entity in question.
    `ctype` - The entity type in question.
  Returns:
    A List of AppdefEntityIDs for the given resource.
  Throws:
    `AppdefEntityNotFoundException`
    `PermissionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.